<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto  = false;
$sesion    = false;
$mensaje   = 'No se pudo aplicar el filtro';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(12)
) {
   
  if( isset($_POST['fechaInicio']) ) {
    $_SESSION['filtroReporteReservasFechaInicio'] = trim( $_POST['fechaInicio'] );
  }
  if( isset($_POST['fechaFin']) ) {
    $_SESSION['filtroReporteReservasFechaFin'] = trim( $_POST['fechaFin'] );
  }
  if( isset($_POST['cliente']) ) {
    $_SESSION['filtroReporteReservasCliente'] = trim( $_POST['cliente'] );
  }
  if( isset($_POST['proveedorSils']) ) {
    $_SESSION['filtroReporteReservasProveedorSils'] = trim( $_POST['proveedorSils'] );
  }
  if( isset($_POST['proveedorCliente']) ) {
    $_SESSION['filtroReporteReservasProveedorCliente'] = trim( $_POST['proveedorCliente'] );
  }
  if( isset($_POST['bodega']) ) {
    $_SESSION['filtroReporteReservasBodega'] = trim( $_POST['bodega'] );
  }  
  if( isset($_POST['puerta']) ) {
    $_SESSION['filtroReporteReservasPuerta'] = trim( $_POST['puerta'] );
  }
  if( isset($_POST['razonSocial']) ) {
    $_SESSION['filtroReporteReservasRazonSocial'] = trim( $_POST['razonSocial'] );
  }
  if( isset($_POST['numero']) ) {
    $_SESSION['filtroReporteReservasNumero'] = trim( $_POST['numero'] );
  }
  if( isset($_POST['estado']) ) {
    $_SESSION['filtroReporteReservasEstado'] = trim( $_POST['estado'] );
  }

  $correcto = true;
  $mensaje = 'Filtro aplicado';
} else {
  $sesion = true;
}

$data = array(
  'success' => $correcto,
  'mensaje' => $mensaje,
  'sesion'  => $sesion
);
echo json_encode($data);
?>